Index: /main/trunk/greenstone2/perllib/strings_fr.properties
===================================================================
--- /main/trunk/greenstone2/perllib/strings_fr.properties	(revision 34934)
+++ /main/trunk/greenstone2/perllib/strings_fr.properties	(revision 34935)
@@ -192,4 +192,5 @@
 downloadinfo.desc:Imprimer des informations sur un module de tÃ©lÃ©chargement
 downloadinfo.collection:Donner un nom de collection fera regarder en premier downloadinfo.pl dans collecter/collection nom/perllib/tÃ©lÃ©chargeurs. Si le module n'est pas trouvÃ© lÃ , il regardera dans le rÃ©pertoire gÃ©nÃ©ral perllib/ tÃ©lÃ©chargeurs .
+downloadinfo.no_download_name:Erreur : veuillez prÃ©ciser le nom du module de tÃ©lÃ©chargement.
 downloadinfo.params:[options] [module-tÃ©lÃ©chrgement]
 downloadinfo.general_options:Les ptions gÃ©nÃ©rales sont hÃ©ritÃ©es des classes parents des modules de tÃ©lÃ©chargement .
@@ -791,4 +792,6 @@
 CommonUtil.block_exp:Les fichiers qui correspondent Ã  cette expression rÃ©guliÃšre ne seront pas passÃ©s aux plugiciels qui viennent aprÃšs dans la liste.
 
+CommonUtil.could_not_open_for_writing:impossible dâouvrir%s en Ã©criture
+
 CommonUtil.desc:Classe du plugiciel Base Utility qui gÃšre l'encodage des noms de fichiers et le blocage des fichiers.
 
@@ -825,4 +828,6 @@
 ConvertBinaryFile.convert_to.text:Format de texte simple
 
+ConvertBinaryFile.convert_to.paged_text:Texte en clair sectionnÃ©, oÃ¹ le texte de chaque page constitue sa propre section.
+
 ConvertBinaryFile.convert_to.pagedimg:Une sÃ©rie d'images
 
@@ -833,4 +838,8 @@
 ConvertBinaryFile.convert_to.pagedimg_png:Une sÃ©rie d'images en format PNG.
 
+ConvertBinaryFile.convert_to.pagedimgtxt_jpg:Une sÃ©rie d'images au format JPEG avec tout texte extrait, une pour chaque page.
+
+ConvertBinaryFile.convert_to.pagedimgtxt_png:Une sÃ©rie d'images au format PNG avec tout texte extrait, une pour chaque page.
+
 ConvertBinaryFile.desc:Ce plugiciel est utilisÃ© par des plugiciels tels que WordPlugin, PPTPlugin, PSPlugin, RTFPlugin et PDFPlugin. Il facilite la conversion de ces types de documents Ã  la fois en HTML, en TEXT ou en une sÃ©rie d'images. Il agit par chargement dynamique d'un plugiciel secondaire (HTMLPlugin, StructuredHTMLPlugin, PagedImgPlugin ou TextPlugin) en tenant compte de l'argument de plugiciel  'convert_to '.
 
@@ -840,4 +849,8 @@
 
 ConvertToRogPlugin.desc:Un plugiciel qui hÃ©rite de RogPlugin.
+
+CSVFieldSeparator.csv_field_separator:Le caractÃšre que vous avez toujours utilisÃ© pour sÃ©parer chaque cellule d'une ligne dans votre fichier de tableur csv. CSV signifie "comma separated values", mais vous pouvez spÃ©cifier ici le caractÃšre csv_field_separator que vous avez utilisÃ© dans vos fichiers csv. Si vous laissez cette option sur auto, le plugiciel essaiera de dÃ©tecter automatiquement votre sÃ©parateur de champs csv.
+
+CSVFieldSeparator.metadata_value_separator:Le caractÃšre que vous avez toujours utilisÃ© pour sÃ©parer plusieurs valeurs de mÃ©tadonnÃ©es pour un seul champ de mÃ©tadonnÃ©es dans une cellule du tableur csv. Si vous avez utilisÃ© la barre verticale comme caractÃšre de sÃ©paration, dÃ©finissez alors le sÃ©parateur de valeur des mÃ©tadonnÃ©es sur \| (barre verticale avec barre oblique inversÃ©e).
 
 CSVPlugin.desc:Un plugiciel pour les fichiers en format de valeurs sÃ©parÃ©s par des virgules. Un nouveau document sera crÃ©Ã© pour chaque ligne du fichier.
@@ -1394,4 +1407,15 @@
 # GreenstoneSQLPlug strings are shared by both GreenstoneSQLPlugout and GreenstoneSQLPlugin
 #
+GreenstoneSQLPlug.process_mode:Le paramÃštre dÃ©termine si le texte intÃ©gral et/ou les mÃ©tadonnÃ©es seront envoyÃ©s vers une base de donnÃ©es MySQL au lieu de vers doc.xml lors de l'importation. Choisissez l'une des options suivantes : meta_only, text_only ou all (par dÃ©faut).
+GreenstoneSQLPlug.process_mode.all:L'Ã©tape d'importation gÃ©nÃšre le texte intÃ©gral et les mÃ©tadonnÃ©es dans une base de donnÃ©es MySQL au lieu de dans doc.xml.
+GreenstoneSQLPlug.process_mode.meta_only:L'Ã©tape d'importation gÃ©nÃšre les mÃ©tadonnÃ©es dans une base de donnÃ©es MySQL et tout texte dans le fichier doc.xml.
+GreenstoneSQLPlug.process_mode.text_only:L'Ã©tape d'importation gÃ©nÃšre le texte intÃ©gral dans une base de donnÃ©es MySQL et les mÃ©tadonnÃ©es dans le fichier doc.xml.
+GreenstoneSQLPlug.db_driver:Le pilote de la base de donnÃ©es. Ã ce jour, le support de MySQL a Ã©tÃ© implÃ©mentÃ©, donc la valeur par dÃ©faut est mysql.
+GreenstoneSQLPlug.db_client_user:Le nom d'utilisateur avec lequel vous vous connectez Ã  la base de donnÃ©es (My)SQL, root par dÃ©faut.
+GreenstoneSQLPlug.db_client_pwd:Le mot de passe avec lequel vous vous connectez Ã  la base de donnÃ©es (My)SQL.
+GreenstoneSQLPlug.db_host:Le nom d'hÃŽte sur lequel le serveur de base de donnÃ©es (My)SQL fonctionne, 127.0.0.1 par dÃ©faut. D'autres valeurs Ã  essayer incluent localhost.
+GreenstoneSQLPlug.db_port:Si votre serveur de base de donnÃ©es (My)SQL n'utilise PAS le port par dÃ©faut, indiquez le numÃ©ro de port ici. Sinon, laissez ce champ vide.
+
+GreenstoneSQLPlug.rollback_on_cancel:Support pour annuler sur abandon. RÃ©gler sur true pour permettre de revenir en arriÃšre en cas d'annulation. Les transactions ne sont alors enregistrÃ©es dans la base de donnÃ©es qu'Ã  la fin de l'importation et du buildcol. RÃ©gler sur false si vous ne voulez pas de support d'annulation, auquel cas les instructions SQL sont automatiquement enregistrÃ©es dans la base de donnÃ©es.
 
 #
Index: /main/trunk/greenstone3/web/WEB-INF/classes/core_servlet_dictionary_fr.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/core_servlet_dictionary_fr.properties	(revision 34934)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/core_servlet_dictionary_fr.properties	(revision 34935)
@@ -6,10 +6,10 @@
 TextQuery.submit:Recherche
 
-FieldQuery.name:Recherche par formulaire
+FieldQuery.name:Recherche par champs
 FieldQuery.description:Recherche par champ simple
 FieldQuery.submit:Recherche
 
 AdvancedFieldQuery.name:Recherche avancÃ©e
-AdvancedFieldQuery.description:Recherche avancÃ©e
+AdvancedFieldQuery.description:Recherche avancÃ©e par champs
 AdvancedFieldQuery.submit:Recherche
 
Index: /main/trunk/greenstone3/web/WEB-INF/classes/interface_default_fr.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/interface_default_fr.properties	(revision 34934)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/interface_default_fr.properties	(revision 34935)
@@ -19,4 +19,5 @@
 left_arrow_image:interfaces/__INTERFACE_NAME__/images/leftarrow.png
 float_toc_image:interfaces/__INTERFACE_NAME__/images/floattoc.png
+float_berrybasket_image:interfaces/__INTERFACE_NAME__/images/floatberrybasket.png
 green_bug_image:interfaces/__INTERFACE_NAME__/images/GB.png
 
@@ -41,4 +42,5 @@
 # months - used by replaceList in siteConfig. need to change to get from java..
 num:Nombre
+textmonth00:IndÃ©fini
 textmonth01:Janvier
 textmonth02:FÃ©vrier
@@ -63,4 +65,5 @@
 home.no_collections:Cette bibliothÃšque n'a pas de collections valides
 home.no_collections_group:Ce groupe n'a pas de collections valides
+
 #***** logged in menu
 menu.account_settings:ParamÃštres du compte
@@ -79,4 +82,6 @@
 about.services:Services extra disponiblesÂ :
 about.servicehelp:Vous pouvez accÃ©der aux services en cliquant sur les boutons ci-dessous ou sur les noms de la barre de navigation. La barre de navigation est permanente Ã  travers toutes les pages de la collection
+about.standarddescriptiondays:Cette collection contient {0-numdocs} documents et a Ã©tÃ© construite il y a {1-numdays} jours.
+about.standarddescriptiondate:Cette collection contient {0-numdocs} documents et a Ã©tÃ© construite le {1-date}.
 
 #######################
@@ -126,4 +131,5 @@
 pref.set_prefs_help:Cliquez sur "DÃ©finir vos prÃ©fÃ©rences" si vous voulez enregistrer vos modifications
 pref.berrybasket:PanierÂ :
+pref.favouritebasket:Panier prÃ©fÃ©rÃ© :
 pref.documentbasket:Panier de documents
 pref.on:actif
@@ -174,4 +180,14 @@
 usercomments.isempty:Le commentaire Ã©tait vide.
 usercomments.heading:Commentaires
+
+##########################
+# Depositor Page
+##########################
+
+depositor.title:DÃ©posant
+depositor.description:Ajouter plusieurs documents Ã  une collection existante
+depositor.select_collection:Veuillez choisir une collectionÂ :
+depositor.select_collection_option:-- Choisir une collection --
+depositor.no_valid_collection:Vous nâavez le droit dâÃ©diter aucune collection. Veuillez vous connecter en tant quâun utilisateur diffÃ©rent ou contactez lâadministrateur de votre bibliothÃšque.
 
 #####################
@@ -195,5 +211,5 @@
 de.edit_metadata:Ãditer les mÃ©tadonnÃ©es
 de.edit_map_gps:Modifier la carte GPS
-de.hide_metadata:masquer les mÃ©tadonnÃ©es
+de.hide_metadata:Masquer les mÃ©tadonnÃ©es
 de.hide_map_gps:Cacher la carte GPS
 de.remove:retirer
@@ -269,4 +285,5 @@
 verify.title:VÃ©rification
 verify.terms_title:Termes et conditions
+verify.terms_content:Conditions gÃ©nÃ©rales<br/>Pour personnaliser ces modalitÃ©s, soit modifier verify.terms_content dans web/WEB-INF/classes/interface_default.properties (pour toute la bibliothÃšque), soit crÃ©er interface_custom.properties dans le dossier web/sites/localsite/collect/collname/resources, et ajouter verify.terms_content=modalitÃ©s personnalisÃ©es
 verify.terms_accept:J'accepte les termes et conditions
 
@@ -284,4 +301,6 @@
 
 berry.title:Panier
+favourites.title:Favoris
+
 berry.full_view:Affichage complet
 berry.text_view:Affichage du texte
@@ -297,4 +316,5 @@
 berry.url_and_metadata:URL et affichage de mÃ©tadonnÃ©es
 berry.empty_basket:Votre panier est vide
+favourites.empty_basket:Vous nâavez pas de favoris sauvegardÃ©s.
 berry.doc_name:ID
 berry.doc_title:titre
@@ -304,5 +324,15 @@
 berry.send_success:Envoi du courrier rÃ©ussi
 berry.send_fail:Envoi du courrier a Ã©chouÃ©
-
+berry.invalid_to_address_empty:Le champ dâadresse Ã ne peut pas Ãªtre vide.
+berry.invalid_to_address:Le champ dâadresse Ã doit contenir une adresse de courriel.
+berry.invalid_msg_body_empty:Le champ de texte du corps du message ne peut pas Ãªtre vide.
+
+berry.delete_help:Pour supprimer un Ã©lÃ©ment individuel, faites glisser son icÃŽne de baie vers la corbeille.
+favourites.delete_help:Pour supprimer un Ã©lÃ©ment individuel, cliquez sur l'icÃŽne de son favori.
+favourites.delete_else:Ou bien
+
+berry.select_all:Tout sÃ©lectionner
+berry.delete_selected:Supprimer la sÃ©lection
+berry.delete_all:Tout supprimer
 ##################################
 # About Greenstone page
@@ -323,3 +353,4 @@
 gsdl.bugs_desc:Nous voulons nous assurer que ce logiciel fonctionne bien pour vous. Veuillez rapporter tout bogue Ã  la <a href="{0}">liste de diffusion des utilisateurs de Greenstone</a>.
 gsdl.greenstone_stone:Greenstone est une pierre semi-prÃ©cieuse qui (comme ce logiciel) provient de Nouvelle-ZÃ©lande. Dans la sociÃ©tÃ© traditionnelle maorie, c'Ã©tait la substance la plus prisÃ©e et la plus recherchÃ©e de toutes. Elle peut absorber et retenir le wairua, qui est un esprit ou une force vitale, et est dotÃ©e de vertus traditionnelles qui en font un emblÃšme appropriÃ© pour un projet de bibliothÃšque numÃ©rique dans le domaine public. Son Ã©clat montre la charitÃ©, sa transluciditÃ©, son honnÃªtetÃ©, sa robustesse, son courage et l'arÃªte vive qu'il peut prendre, la justice.
+gsdl.toki_about1:En novembre 2000, un toki pou tangata (herminette en pierre verte) a Ã©tÃ© offert Ã  la bibliothÃšque numÃ©rique de Nouvelle-ZÃ©lande par les MÄori, en reconnaissance du travail important rÃ©alisÃ© sur les taonga (trÃ©sor) tels que le <a href="{0}">Niupepa Collection</a>. Le toki a Ã©tÃ© sculptÃ© par Bernard Makoare de descendance NgÄti WhÄtua et Te Rarawa.
 gsdl.toki_about2:Le toki doit symboliser l'importance du pounamu (pierre verte). C'est pour inspirer le travail qui se fait ici avec des qualitÃ©s de mana, d'autoritÃ© et de leadership. C'est une pierre dure, un lien Ã  Ã©tablir. Il doit Ãªtre utilisÃ© pour sculpter et guider l'excellence de la pensÃ©e qui est rÃ©coltÃ©e dans la BibliothÃšque numÃ©rique de Nouvelle ZÃ©lande.
Index: /main/trunk/release-kits/shared/core/language-strings/LanguagePack_fr.properties
===================================================================
--- /main/trunk/release-kits/shared/core/language-strings/LanguagePack_fr.properties	(revision 34934)
+++ /main/trunk/release-kits/shared/core/language-strings/LanguagePack_fr.properties	(revision 34935)
@@ -62,5 +62,5 @@
 
 Installing_Documented_Examples.displayText:Collections de DÃ©monstration ExpliquÃ©es
-Installing_Documented_Examples.explanatoryText:Une sÃ©rie de collections de dÃ©monstration, dont les pages 'Ã  propos' dÃ©crivent comment elles ont Ã©tÃ© crÃ©Ã©es.\n\nSi vous ne souhaitez pas installer les Collections de DÃ©monstration tout de suite, vous pourrez les tÃ©lÃ©charger depuis\nhttp\://www.greenstone.org/ ou les obtenir Ã  partir du CD-ROM Greenstone.
+Installing_Documented_Examples.explanatoryText:Un ensemble de collections dâexemples, dont les pages 'Ã  propos' dÃ©crivent comment elles ont Ã©tÃ© crÃ©Ã©es.\n\nMÃªme si vous n'installez pas les exemples documentÃ©s maintenant, vous pouvez les obtenir depuis\nhttp\://www.greenstone.org/ ou Ã  partir du CD-ROM Greenstone.
 
 ### Admin password page