Index: other-projects/nightly-tasks/diffcol/trunk/task.pl
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/task.pl	(revision 34934)
+++ other-projects/nightly-tasks/diffcol/trunk/task.pl	(revision 34941)
@@ -43,4 +43,7 @@
 }
 
+# we're using a GS compiled up wget with https support (at release-kits/bin, on PATH)
+# But we may need to use --no-check-certificate for some https urls.
+my $wget = "wget --no-check-certificate";
 
 my $sep = $isWin ? "\\" : "/";
@@ -609,5 +612,5 @@
 {	
 	# current revision is 27763, but using "head" works
-	my $PDFBOX_TRAC_URL="http://trac.greenstone.org/export/head/gs2-extensions/pdf-box/trunk/pdf-box-java"; # both for .zip and .tar.gz extension
+	my $PDFBOX_TRAC_URL="https://trac.greenstone.org/export/head/gs2-extensions/pdf-box/trunk/pdf-box-java"; # both for .zip and .tar.gz extension
 	#"http://trac.greenstone.org/export/".$ENV{'SVN_OPT_REV'}."/gs2-extensions/pdf-box/trunk/pdf-box-java";	
 
@@ -618,5 +621,5 @@
 	my $cmd = "";
 	if ($isWin) {
-		$cmd = "setup.bat && cd ext && wget $PDFBOX_TRAC_URL.zip && unzip pdf-box-java.zip";
+		$cmd = "setup.bat && cd ext && $wget $PDFBOX_TRAC_URL.zip && unzip pdf-box-java.zip";
 		
 	} elsif ($isMac) { # need to use curl not wget
@@ -624,5 +627,5 @@
 	}
 	else { # linux
-		$cmd = "bash -c \"export GSDLHOME=&& source setup.bash && cd ext && wget $PDFBOX_TRAC_URL.tar.gz && tar -xzf pdf-box-java.tar.gz\"";
+		$cmd = "bash -c \"export GSDLHOME=&& source setup.bash && cd ext && $wget $PDFBOX_TRAC_URL.tar.gz && tar -xzf pdf-box-java.tar.gz\"";
 	}
 	my $status = system $cmd;
@@ -636,5 +639,5 @@
 {	
 	# current revision is 27763, but using "head" works
-	my $OOEXT_TRAC_URL="http://trac.greenstone.org/export/head/gs2-extensions/open-office/trunk/open-office-java"; # both for .zip and .tar.gz extension
+	my $OOEXT_TRAC_URL="https://trac.greenstone.org/export/head/gs2-extensions/open-office/trunk/open-office-java"; # both for .zip and .tar.gz extension
 	#"http://trac.greenstone.org/export/".$ENV{'SVN_OPT_REV'}."/gs2-extensions/open-office/trunk/open-office-java";	
 
@@ -645,5 +648,5 @@
 	my $cmd = "";
 	if ($isWin) {
-		$cmd = "setup.bat && cd ext && wget $OOEXT_TRAC_URL.zip && unzip open-office-java.zip";
+		$cmd = "setup.bat && cd ext && $wget $OOEXT_TRAC_URL.zip && unzip open-office-java.zip";
 		
 	} elsif ($isMac) { # need to use curl not wget
@@ -651,5 +654,5 @@
 	}
 	else { # linux
-		$cmd = "bash -c \"export GSDLHOME=&& source setup.bash && cd ext && wget $OOEXT_TRAC_URL.tar.gz && tar -xzf open-office-java.tar.gz\"";
+		$cmd = "bash -c \"export GSDLHOME=&& source setup.bash && cd ext && $wget $OOEXT_TRAC_URL.tar.gz && tar -xzf open-office-java.tar.gz\"";
 	}
 	my $status = system $cmd;
@@ -669,7 +672,7 @@
 	    my $cmd = "";
 		 if($isMac) {
-			 $cmd = "cd $gsfolder/bin/darwin && curl http://www.greenstone.org/caveat-emptor/IsisGdl.macleopard > IsisGdl && chmod u+x IsisGdl";
+			 $cmd = "cd $gsfolder/bin/darwin && curl https://www.greenstone.org/caveat-emptor/IsisGdl.macleopard > IsisGdl && chmod u+x IsisGdl";
 		 } else { # linux
-			 $cmd = "cd $gsfolder/bin/linux && wget http://www.greenstone.org/caveat-emptor/IsisGdl.bin32 && mv IsisGdl.bin32 IsisGdl && chmod u+x IsisGdl";
+			 $cmd = "cd $gsfolder/bin/linux && $wget https://www.greenstone.org/caveat-emptor/IsisGdl.bin32 && mv IsisGdl.bin32 IsisGdl && chmod u+x IsisGdl";
 		 }
 	    my $isis_status = system $cmd;
@@ -1100,11 +1103,11 @@
 	$ENV{'IDENTITY_FILE_ED25519'} =	"$ENV{'IDENTITY_DIR'}${sep}upload-" . $ENV{'SNAPSHOT_MODE'} ."-ed25519". ($^O eq "MSWin32" ? ".ppk" : "");
 
-	if (-f $ENV{'IDENTITY_FILE_ED25519'}) {
+	if (-f $ENV{'IDENTITY_FILE_ED25519'}) {		
 		# for now, upload a copy to the new new machine, later to replace puka
-		$command = "cd \"$ENV{'UPLOAD_DIR'}\" && tar -c *.htm* | "; #&& cat *.html | "; # && tar -c * |
+		my $command = "cd \"$ENV{'UPLOAD_DIR'}\" && tar -c *.htm* | "; #&& cat *.html | "; # && tar -c * |
 		$command .= ($^O eq "MSWin32" ? "plink" : "ssh");
 		$command .= " -T -i \"$ENV{'IDENTITY_FILE_ED25519'}\" nzdl-gsorg\@www-internal.greenstone.org";
 		#print "$command\n";
-		$status = system("$command");
+		my $status = system("$command");
 		if($status != 0) {
 			print STDERR "*** Failed to upload test report to www-internal $status\n";