Index: /main/trunk/model-sites-dev/eurovision-lod/collect/eurovision/prepare/errata-lod/DEPRECATED/foo1.sparql
===================================================================
--- /main/trunk/model-sites-dev/eurovision-lod/collect/eurovision/prepare/errata-lod/DEPRECATED/foo1.sparql	(revision 35030)
+++ /main/trunk/model-sites-dev/eurovision-lod/collect/eurovision/prepare/errata-lod/DEPRECATED/foo1.sparql	(revision 35030)
@@ -0,0 +1,58 @@
+prefix skos:   <http://www.w3.org/2004/02/skos/core#>
+prefix dct:    <http://purl.org/dc/terms/>
+prefix xsd:    <http://www.w3.org/2001/XMLSchema#>
+
+PREFIX rdf:    <http://www.w3.org/1999/02/22-rdf-syntax-ns#>
+PREFIX rdfs:   <http://www.w3.org/2000/01/rdf-schema#>
+
+prefix dbc:    <http://dbpedia.org/resource/Category:>
+prefix dbr:    <http://dbpedia.org/resource/>
+prefix dbp:    <http://dbpedia.org/property/>
+
+PREFIX dbo:    <http://dbpedia.org/ontology/>
+
+PREFIX prov:   <http://www.w3.org/ns/prov#>
+
+
+SELECT ?countries_in_esc_by_year ?country_in_year (?year AS ?Year) (?country AS ?Country)
+       ?entrant (?entrant_label AS ?Creator) ?song (?song_label AS ?Title) (?was_derived_from AS ?WikipediaURL)
+WHERE {
+  SERVICE <https://dbpedia.demo.openlinksw.com/sparql> {
+    ?countries_in_esc_by_year skos:broader dbc:Countries_in_the_Eurovision_Song_Contest_by_year.
+
+    ?country_in_year dct:subject ?countries_in_esc_by_year.
+    bind( REPLACE(str(?country_in_year), ".*(\\d{4})", "$1") AS ?year).
+    FILTER ( xsd:integer(?year) < 2020).
+
+    ?country_in_year dbp:country ?country.
+
+    ?country_in_year dbp:entrant ?entrant.
+
+    ?entrant rdfs:label ?entrant_label
+      FILTER (lang(?entrant_label) = 'en').
+
+    ?country_in_year dbp:song ?song.
+
+  }
+
+  OPTIONAL {
+    ?song_errata_uri dct:source ?song.
+  }
+
+  BIND (IF(isIRI(?song),?song,?song_errata_uri) AS ?song_robust)
+
+  SERVICE <https://dbpedia.demo.openlinksw.com/sparql> {
+
+    ?song_robust rdfs:label ?song_label_raw
+      FILTER (lang(?song_label_raw) = 'en').
+
+    # Create more DL friendly song-title metadata from Wikipedia song-label
+    BIND(REPLACE(?song_label_raw, "\\s*\\(.*?song\\)$", "", "i") AS ?song_label).
+
+    OPTIONAL {
+      ?song_robust prov:wasDerivedFrom ?was_derived_from
+    }
+  }
+}
+ORDER BY ASC(?countries_in_esc_by_year) ?country
+
Index: /main/trunk/model-sites-dev/eurovision-lod/collect/eurovision/prepare/errata-lod/DEPRECATED/foo2-nooptional.sparql
===================================================================
--- /main/trunk/model-sites-dev/eurovision-lod/collect/eurovision/prepare/errata-lod/DEPRECATED/foo2-nooptional.sparql	(revision 35030)
+++ /main/trunk/model-sites-dev/eurovision-lod/collect/eurovision/prepare/errata-lod/DEPRECATED/foo2-nooptional.sparql	(revision 35030)
@@ -0,0 +1,67 @@
+prefix skos:   <http://www.w3.org/2004/02/skos/core#>
+prefix dct:    <http://purl.org/dc/terms/>
+prefix xsd:    <http://www.w3.org/2001/XMLSchema#>
+
+PREFIX rdf:    <http://www.w3.org/1999/02/22-rdf-syntax-ns#>
+PREFIX rdfs:   <http://www.w3.org/2000/01/rdf-schema#>
+
+prefix dbc:    <http://dbpedia.org/resource/Category:>
+prefix dbr:    <http://dbpedia.org/resource/>
+prefix dbp:    <http://dbpedia.org/property/>
+
+PREFIX dbo:    <http://dbpedia.org/ontology/>
+
+PREFIX prov:   <http://www.w3.org/ns/prov#>
+
+
+SELECT ?countries_in_esc_by_year ?country_in_year (?year AS ?Year) (?country AS ?Country)
+       ?entrant (?entrant_label AS ?Creator) ?song (?song_label AS ?Title) (?was_derived_from AS ?WikipediaURL)
+WHERE {
+  SERVICE <https://dbpedia.demo.openlinksw.com/sparql> {
+    ?countries_in_esc_by_year skos:broader dbc:Countries_in_the_Eurovision_Song_Contest_by_year.
+
+    ?country_in_year dct:subject ?countries_in_esc_by_year.
+    bind( REPLACE(str(?country_in_year), ".*(\\d{4})", "$1") AS ?year).
+    FILTER ( xsd:integer(?year) < 1969).
+
+    ?country_in_year dbp:country ?country.
+
+    ?country_in_year dbp:entrant ?entrant.
+  }
+  
+#  OPTIONAL {
+    ?entrant_errata_uri dct:source ?entrant.
+#  }
+
+  BIND (IF(isIRI(?entrant),?entrant,?entrant_errata_uri) AS ?entrant_robust)
+  
+  SERVICE <https://dbpedia.demo.openlinksw.com/sparql> {
+ 
+    ?country_in_year dbp:song ?song.
+
+  }
+
+#  OPTIONAL {
+    ?song_errata_uri dct:source ?song.
+#  }
+
+  BIND (IF(isIRI(?song),?song,?song_errata_uri) AS ?song_robust)
+
+  SERVICE <https://dbpedia.demo.openlinksw.com/sparql> {
+  
+    ?entrant_robust rdfs:label ?entrant_label
+      FILTER (lang(?entrant_label) = 'en').
+
+
+    ?song_robust rdfs:label ?song_label_raw
+      FILTER (lang(?song_label_raw) = 'en').
+
+    # Create more DL friendly song-title metadata from Wikipedia song-label
+    BIND(REPLACE(?song_label_raw, "\\s*\\(.*?song\\)$", "", "i") AS ?song_label).
+
+    OPTIONAL {
+      ?song_robust prov:wasDerivedFrom ?was_derived_from
+    }
+  }
+}
+ORDER BY ASC(?countries_in_esc_by_year) ?country
Index: /main/trunk/model-sites-dev/eurovision-lod/collect/eurovision/prepare/errata-lod/DEPRECATED/foo2.json
===================================================================
--- /main/trunk/model-sites-dev/eurovision-lod/collect/eurovision/prepare/errata-lod/DEPRECATED/foo2.json	(revision 35030)
+++ /main/trunk/model-sites-dev/eurovision-lod/collect/eurovision/prepare/errata-lod/DEPRECATED/foo2.json	(revision 35030)
@@ -0,0 +1,7 @@
+
+Sending:
+  foo2.sparql
+
+To local SPARQL endpoint:
+   http://localhost:3030/greenstone/query
+
Index: /main/trunk/model-sites-dev/eurovision-lod/collect/eurovision/prepare/errata-lod/DEPRECATED/foo2.sparql
===================================================================
--- /main/trunk/model-sites-dev/eurovision-lod/collect/eurovision/prepare/errata-lod/DEPRECATED/foo2.sparql	(revision 35030)
+++ /main/trunk/model-sites-dev/eurovision-lod/collect/eurovision/prepare/errata-lod/DEPRECATED/foo2.sparql	(revision 35030)
@@ -0,0 +1,67 @@
+prefix skos:   <http://www.w3.org/2004/02/skos/core#>
+prefix dct:    <http://purl.org/dc/terms/>
+prefix xsd:    <http://www.w3.org/2001/XMLSchema#>
+
+PREFIX rdf:    <http://www.w3.org/1999/02/22-rdf-syntax-ns#>
+PREFIX rdfs:   <http://www.w3.org/2000/01/rdf-schema#>
+
+prefix dbc:    <http://dbpedia.org/resource/Category:>
+prefix dbr:    <http://dbpedia.org/resource/>
+prefix dbp:    <http://dbpedia.org/property/>
+
+PREFIX dbo:    <http://dbpedia.org/ontology/>
+
+PREFIX prov:   <http://www.w3.org/ns/prov#>
+
+
+SELECT ?countries_in_esc_by_year ?country_in_year (?year AS ?Year) (?country AS ?Country)
+       ?entrant (?entrant_label AS ?Creator) ?song (?song_label AS ?Title) (?was_derived_from AS ?WikipediaURL)
+WHERE {
+  SERVICE <https://dbpedia.demo.openlinksw.com/sparql> {
+    ?countries_in_esc_by_year skos:broader dbc:Countries_in_the_Eurovision_Song_Contest_by_year.
+
+    ?country_in_year dct:subject ?countries_in_esc_by_year.
+    bind( REPLACE(str(?country_in_year), ".*(\\d{4})", "$1") AS ?year).
+    FILTER ( xsd:integer(?year) < 1969).
+
+    ?country_in_year dbp:country ?country.
+
+    ?country_in_year dbp:entrant ?entrant.
+  }
+  
+  OPTIONAL {
+    ?entrant_errata_uri dct:source ?entrant.
+  }
+
+  BIND (IF(isIRI(?entrant),?entrant,?entrant_errata_uri) AS ?entrant_robust)
+  
+  SERVICE <https://dbpedia.demo.openlinksw.com/sparql> {
+ 
+    ?country_in_year dbp:song ?song.
+
+  }
+
+  OPTIONAL {
+    ?song_errata_uri dct:source ?song.
+  }
+
+  BIND (IF(isIRI(?song),?song,?song_errata_uri) AS ?song_robust)
+
+  SERVICE <https://dbpedia.demo.openlinksw.com/sparql> {
+  
+    ?entrant_robust rdfs:label ?entrant_label
+      FILTER (lang(?entrant_label) = 'en').
+
+
+    ?song_robust rdfs:label ?song_label_raw
+      FILTER (lang(?song_label_raw) = 'en').
+
+    # Create more DL friendly song-title metadata from Wikipedia song-label
+    BIND(REPLACE(?song_label_raw, "\\s*\\(.*?song\\)$", "", "i") AS ?song_label).
+
+    OPTIONAL {
+      ?song_robust prov:wasDerivedFrom ?was_derived_from
+    }
+  }
+}
+ORDER BY DESC(?countries_in_esc_by_year)
Index: /main/trunk/model-sites-dev/eurovision-lod/collect/eurovision/prepare/errata-lod/DEPRECATED/foo3.sparql
===================================================================
--- /main/trunk/model-sites-dev/eurovision-lod/collect/eurovision/prepare/errata-lod/DEPRECATED/foo3.sparql	(revision 35030)
+++ /main/trunk/model-sites-dev/eurovision-lod/collect/eurovision/prepare/errata-lod/DEPRECATED/foo3.sparql	(revision 35030)
@@ -0,0 +1,67 @@
+prefix skos:   <http://www.w3.org/2004/02/skos/core#>
+prefix dct:    <http://purl.org/dc/terms/>
+prefix xsd:    <http://www.w3.org/2001/XMLSchema#>
+
+PREFIX rdf:    <http://www.w3.org/1999/02/22-rdf-syntax-ns#>
+PREFIX rdfs:   <http://www.w3.org/2000/01/rdf-schema#>
+
+prefix dbc:    <http://dbpedia.org/resource/Category:>
+prefix dbr:    <http://dbpedia.org/resource/>
+prefix dbp:    <http://dbpedia.org/property/>
+
+PREFIX dbo:    <http://dbpedia.org/ontology/>
+
+PREFIX prov:   <http://www.w3.org/ns/prov#>
+
+
+SELECT ?countries_in_esc_by_year ?country_in_year (?year AS ?Year) (?country AS ?Country)
+       ?entrant_robust (?entrant_label AS ?Creator) ?song_robust (?song_label AS ?Title) (?was_derived_from AS ?WikipediaURL)
+WHERE {
+  SERVICE <https://dbpedia.demo.openlinksw.com/sparql> {
+    ?countries_in_esc_by_year skos:broader dbc:Countries_in_the_Eurovision_Song_Contest_by_year.
+
+    ?country_in_year dct:subject ?countries_in_esc_by_year.
+    bind( REPLACE(str(?country_in_year), ".*(\\d{4})", "$1") AS ?year).
+    FILTER ( xsd:integer(?year) < 1960).
+
+    ?country_in_year dbp:country ?country.
+
+    ?country_in_year dbp:entrant ?entrant.
+  }
+
+  OPTIONAL {
+    ?entrant_errata_uri dct:source ?entrant.
+  }
+
+  BIND (IF(isIRI(?entrant),?entrant,?entrant_errata_uri) AS ?entrant_robust)
+
+  SERVICE <https://dbpedia.demo.openlinksw.com/sparql> {
+
+    ?country_in_year dbp:song ?song.
+
+  }
+
+  OPTIONAL {
+    ?song_errata_uri dct:source ?song.
+  }
+
+  BIND (IF(isIRI(?song),?song,?song_errata_uri) AS ?song_robust)
+
+  SERVICE <https://dbpedia.demo.openlinksw.com/sparql> {
+
+    ?entrant_robust rdfs:label ?entrant_label
+      FILTER (lang(?entrant_label) = 'en').
+
+
+    ?song_robust rdfs:label ?song_label_raw
+      FILTER (lang(?song_label_raw) = 'en').
+    # Create more DL friendly song-title metadata from Wikipedia song-label
+    BIND(REPLACE(?song_label_raw, "\\s*\\(.*?song\\)$", "", "i") AS ?song_label).
+
+    OPTIONAL {
+      ?song_robust prov:wasDerivedFrom ?was_derived_from
+    }
+  }
+}
+ORDER BY ASC(?countries_in_esc_by_year) ?country
+
Index: /main/trunk/model-sites-dev/eurovision-lod/collect/eurovision/prepare/errata-lod/DEPRECATED/foo4-1993.sparql
===================================================================
--- /main/trunk/model-sites-dev/eurovision-lod/collect/eurovision/prepare/errata-lod/DEPRECATED/foo4-1993.sparql	(revision 35030)
+++ /main/trunk/model-sites-dev/eurovision-lod/collect/eurovision/prepare/errata-lod/DEPRECATED/foo4-1993.sparql	(revision 35030)
@@ -0,0 +1,68 @@
+prefix skos:   <http://www.w3.org/2004/02/skos/core#>
+prefix dct:    <http://purl.org/dc/terms/>
+prefix xsd:    <http://www.w3.org/2001/XMLSchema#>
+
+PREFIX rdf:    <http://www.w3.org/1999/02/22-rdf-syntax-ns#>
+PREFIX rdfs:   <http://www.w3.org/2000/01/rdf-schema#>
+
+prefix dbc:    <http://dbpedia.org/resource/Category:>
+prefix dbr:    <http://dbpedia.org/resource/>
+prefix dbp:    <http://dbpedia.org/property/>
+
+PREFIX dbo:    <http://dbpedia.org/ontology/>
+
+PREFIX prov:   <http://www.w3.org/ns/prov#>
+
+
+SELECT ?countries_in_esc_by_year ?country_in_year (?year AS ?Year) (?country AS ?Country)
+       ?entrant_robust (?entrant_label AS ?Creator) ?song_robust (?song_label AS ?Title) (?was_derived_from AS ?WikipediaURL)
+WHERE {
+  SERVICE <https://dbpedia.demo.openlinksw.com/sparql> {
+    ?countries_in_esc_by_year skos:broader dbc:Countries_in_the_Eurovision_Song_Contest_by_year.
+
+    ?country_in_year dct:subject ?countries_in_esc_by_year.
+    bind( REPLACE(str(?country_in_year), ".*(\\d{4})", "$1") AS ?year).
+    FILTER ( xsd:integer(?year) = 1993).
+
+    ?country_in_year dbp:country ?country.
+
+    ?country_in_year dbp:entrant ?entrant.
+  }
+
+  OPTIONAL {
+    ?entrant_errata_uri dct:source ?entrant.
+  }
+
+  BIND (IF(isIRI(?entrant),?entrant,?entrant_errata_uri) AS ?entrant_robust)
+
+  SERVICE <https://dbpedia.demo.openlinksw.com/sparql> {
+
+    ?country_in_year dbp:song ?song.
+
+  }
+
+  OPTIONAL {
+    ?song_errata_uri dct:source ?song.
+  }
+
+  BIND (IF(isIRI(?song),?song,?song_errata_uri) AS ?song_robust)
+
+  SERVICE <https://dbpedia.demo.openlinksw.com/sparql> {
+
+   OPTIONAL {
+    ?entrant_robust rdfs:label ?entrant_label
+      FILTER (lang(?entrant_label) = 'en').
+
+
+    ?song_robust rdfs:label ?song_label_raw
+      FILTER (lang(?song_label_raw) = 'en').
+    # Create more DL friendly song-title metadata from Wikipedia song-label
+    BIND(REPLACE(?song_label_raw, "\\s*\\(.*?song\\)$", "", "i") AS ?song_label).
+
+   
+      ?song_robust prov:wasDerivedFrom ?was_derived_from
+    }
+  }
+}
+ORDER BY ASC(?countries_in_esc_by_year) ?country
+
Index: in/trunk/model-sites-dev/eurovision-lod/collect/eurovision/prepare/errata-lod/foo1.sparql
===================================================================
--- /main/trunk/model-sites-dev/eurovision-lod/collect/eurovision/prepare/errata-lod/foo1.sparql	(revision 35029)
+++ 	(revision )
@@ -1,58 +1,0 @@
-prefix skos:   <http://www.w3.org/2004/02/skos/core#>
-prefix dct:    <http://purl.org/dc/terms/>
-prefix xsd:    <http://www.w3.org/2001/XMLSchema#>
-
-PREFIX rdf:    <http://www.w3.org/1999/02/22-rdf-syntax-ns#>
-PREFIX rdfs:   <http://www.w3.org/2000/01/rdf-schema#>
-
-prefix dbc:    <http://dbpedia.org/resource/Category:>
-prefix dbr:    <http://dbpedia.org/resource/>
-prefix dbp:    <http://dbpedia.org/property/>
-
-PREFIX dbo:    <http://dbpedia.org/ontology/>
-
-PREFIX prov:   <http://www.w3.org/ns/prov#>
-
-
-SELECT ?countries_in_esc_by_year ?country_in_year (?year AS ?Year) (?country AS ?Country)
-       ?entrant (?entrant_label AS ?Creator) ?song (?song_label AS ?Title) (?was_derived_from AS ?WikipediaURL)
-WHERE {
-  SERVICE <https://dbpedia.demo.openlinksw.com/sparql> {
-    ?countries_in_esc_by_year skos:broader dbc:Countries_in_the_Eurovision_Song_Contest_by_year.
-
-    ?country_in_year dct:subject ?countries_in_esc_by_year.
-    bind( REPLACE(str(?country_in_year), ".*(\\d{4})", "$1") AS ?year).
-    FILTER ( xsd:integer(?year) < 2020).
-
-    ?country_in_year dbp:country ?country.
-
-    ?country_in_year dbp:entrant ?entrant.
-
-    ?entrant rdfs:label ?entrant_label
-      FILTER (lang(?entrant_label) = 'en').
-
-    ?country_in_year dbp:song ?song.
-
-  }
-
-  OPTIONAL {
-    ?song_errata_uri dct:source ?song.
-  }
-
-  BIND (IF(isIRI(?song),?song,?song_errata_uri) AS ?song_robust)
-
-  SERVICE <https://dbpedia.demo.openlinksw.com/sparql> {
-
-    ?song_robust rdfs:label ?song_label_raw
-      FILTER (lang(?song_label_raw) = 'en').
-
-    # Create more DL friendly song-title metadata from Wikipedia song-label
-    BIND(REPLACE(?song_label_raw, "\\s*\\(.*?song\\)$", "", "i") AS ?song_label).
-
-    OPTIONAL {
-      ?song_robust prov:wasDerivedFrom ?was_derived_from
-    }
-  }
-}
-ORDER BY ASC(?countries_in_esc_by_year) ?country
-
Index: in/trunk/model-sites-dev/eurovision-lod/collect/eurovision/prepare/errata-lod/foo2-nooptional.sparql
===================================================================
--- /main/trunk/model-sites-dev/eurovision-lod/collect/eurovision/prepare/errata-lod/foo2-nooptional.sparql	(revision 35029)
+++ 	(revision )
@@ -1,67 +1,0 @@
-prefix skos:   <http://www.w3.org/2004/02/skos/core#>
-prefix dct:    <http://purl.org/dc/terms/>
-prefix xsd:    <http://www.w3.org/2001/XMLSchema#>
-
-PREFIX rdf:    <http://www.w3.org/1999/02/22-rdf-syntax-ns#>
-PREFIX rdfs:   <http://www.w3.org/2000/01/rdf-schema#>
-
-prefix dbc:    <http://dbpedia.org/resource/Category:>
-prefix dbr:    <http://dbpedia.org/resource/>
-prefix dbp:    <http://dbpedia.org/property/>
-
-PREFIX dbo:    <http://dbpedia.org/ontology/>
-
-PREFIX prov:   <http://www.w3.org/ns/prov#>
-
-
-SELECT ?countries_in_esc_by_year ?country_in_year (?year AS ?Year) (?country AS ?Country)
-       ?entrant (?entrant_label AS ?Creator) ?song (?song_label AS ?Title) (?was_derived_from AS ?WikipediaURL)
-WHERE {
-  SERVICE <https://dbpedia.demo.openlinksw.com/sparql> {
-    ?countries_in_esc_by_year skos:broader dbc:Countries_in_the_Eurovision_Song_Contest_by_year.
-
-    ?country_in_year dct:subject ?countries_in_esc_by_year.
-    bind( REPLACE(str(?country_in_year), ".*(\\d{4})", "$1") AS ?year).
-    FILTER ( xsd:integer(?year) < 1969).
-
-    ?country_in_year dbp:country ?country.
-
-    ?country_in_year dbp:entrant ?entrant.
-  }
-  
-#  OPTIONAL {
-    ?entrant_errata_uri dct:source ?entrant.
-#  }
-
-  BIND (IF(isIRI(?entrant),?entrant,?entrant_errata_uri) AS ?entrant_robust)
-  
-  SERVICE <https://dbpedia.demo.openlinksw.com/sparql> {
- 
-    ?country_in_year dbp:song ?song.
-
-  }
-
-#  OPTIONAL {
-    ?song_errata_uri dct:source ?song.
-#  }
-
-  BIND (IF(isIRI(?song),?song,?song_errata_uri) AS ?song_robust)
-
-  SERVICE <https://dbpedia.demo.openlinksw.com/sparql> {
-  
-    ?entrant_robust rdfs:label ?entrant_label
-      FILTER (lang(?entrant_label) = 'en').
-
-
-    ?song_robust rdfs:label ?song_label_raw
-      FILTER (lang(?song_label_raw) = 'en').
-
-    # Create more DL friendly song-title metadata from Wikipedia song-label
-    BIND(REPLACE(?song_label_raw, "\\s*\\(.*?song\\)$", "", "i") AS ?song_label).
-
-    OPTIONAL {
-      ?song_robust prov:wasDerivedFrom ?was_derived_from
-    }
-  }
-}
-ORDER BY ASC(?countries_in_esc_by_year) ?country
Index: in/trunk/model-sites-dev/eurovision-lod/collect/eurovision/prepare/errata-lod/foo2.json
===================================================================
--- /main/trunk/model-sites-dev/eurovision-lod/collect/eurovision/prepare/errata-lod/foo2.json	(revision 35029)
+++ 	(revision )
@@ -1,7 +1,0 @@
-
-Sending:
-  foo2.sparql
-
-To local SPARQL endpoint:
-   http://localhost:3030/greenstone/query
-
Index: in/trunk/model-sites-dev/eurovision-lod/collect/eurovision/prepare/errata-lod/foo2.sparql
===================================================================
--- /main/trunk/model-sites-dev/eurovision-lod/collect/eurovision/prepare/errata-lod/foo2.sparql	(revision 35029)
+++ 	(revision )
@@ -1,67 +1,0 @@
-prefix skos:   <http://www.w3.org/2004/02/skos/core#>
-prefix dct:    <http://purl.org/dc/terms/>
-prefix xsd:    <http://www.w3.org/2001/XMLSchema#>
-
-PREFIX rdf:    <http://www.w3.org/1999/02/22-rdf-syntax-ns#>
-PREFIX rdfs:   <http://www.w3.org/2000/01/rdf-schema#>
-
-prefix dbc:    <http://dbpedia.org/resource/Category:>
-prefix dbr:    <http://dbpedia.org/resource/>
-prefix dbp:    <http://dbpedia.org/property/>
-
-PREFIX dbo:    <http://dbpedia.org/ontology/>
-
-PREFIX prov:   <http://www.w3.org/ns/prov#>
-
-
-SELECT ?countries_in_esc_by_year ?country_in_year (?year AS ?Year) (?country AS ?Country)
-       ?entrant (?entrant_label AS ?Creator) ?song (?song_label AS ?Title) (?was_derived_from AS ?WikipediaURL)
-WHERE {
-  SERVICE <https://dbpedia.demo.openlinksw.com/sparql> {
-    ?countries_in_esc_by_year skos:broader dbc:Countries_in_the_Eurovision_Song_Contest_by_year.
-
-    ?country_in_year dct:subject ?countries_in_esc_by_year.
-    bind( REPLACE(str(?country_in_year), ".*(\\d{4})", "$1") AS ?year).
-    FILTER ( xsd:integer(?year) < 1969).
-
-    ?country_in_year dbp:country ?country.
-
-    ?country_in_year dbp:entrant ?entrant.
-  }
-  
-  OPTIONAL {
-    ?entrant_errata_uri dct:source ?entrant.
-  }
-
-  BIND (IF(isIRI(?entrant),?entrant,?entrant_errata_uri) AS ?entrant_robust)
-  
-  SERVICE <https://dbpedia.demo.openlinksw.com/sparql> {
- 
-    ?country_in_year dbp:song ?song.
-
-  }
-
-  OPTIONAL {
-    ?song_errata_uri dct:source ?song.
-  }
-
-  BIND (IF(isIRI(?song),?song,?song_errata_uri) AS ?song_robust)
-
-  SERVICE <https://dbpedia.demo.openlinksw.com/sparql> {
-  
-    ?entrant_robust rdfs:label ?entrant_label
-      FILTER (lang(?entrant_label) = 'en').
-
-
-    ?song_robust rdfs:label ?song_label_raw
-      FILTER (lang(?song_label_raw) = 'en').
-
-    # Create more DL friendly song-title metadata from Wikipedia song-label
-    BIND(REPLACE(?song_label_raw, "\\s*\\(.*?song\\)$", "", "i") AS ?song_label).
-
-    OPTIONAL {
-      ?song_robust prov:wasDerivedFrom ?was_derived_from
-    }
-  }
-}
-ORDER BY DESC(?countries_in_esc_by_year)
Index: in/trunk/model-sites-dev/eurovision-lod/collect/eurovision/prepare/errata-lod/foo3.sparql
===================================================================
--- /main/trunk/model-sites-dev/eurovision-lod/collect/eurovision/prepare/errata-lod/foo3.sparql	(revision 35029)
+++ 	(revision )
@@ -1,67 +1,0 @@
-prefix skos:   <http://www.w3.org/2004/02/skos/core#>
-prefix dct:    <http://purl.org/dc/terms/>
-prefix xsd:    <http://www.w3.org/2001/XMLSchema#>
-
-PREFIX rdf:    <http://www.w3.org/1999/02/22-rdf-syntax-ns#>
-PREFIX rdfs:   <http://www.w3.org/2000/01/rdf-schema#>
-
-prefix dbc:    <http://dbpedia.org/resource/Category:>
-prefix dbr:    <http://dbpedia.org/resource/>
-prefix dbp:    <http://dbpedia.org/property/>
-
-PREFIX dbo:    <http://dbpedia.org/ontology/>
-
-PREFIX prov:   <http://www.w3.org/ns/prov#>
-
-
-SELECT ?countries_in_esc_by_year ?country_in_year (?year AS ?Year) (?country AS ?Country)
-       ?entrant_robust (?entrant_label AS ?Creator) ?song_robust (?song_label AS ?Title) (?was_derived_from AS ?WikipediaURL)
-WHERE {
-  SERVICE <https://dbpedia.demo.openlinksw.com/sparql> {
-    ?countries_in_esc_by_year skos:broader dbc:Countries_in_the_Eurovision_Song_Contest_by_year.
-
-    ?country_in_year dct:subject ?countries_in_esc_by_year.
-    bind( REPLACE(str(?country_in_year), ".*(\\d{4})", "$1") AS ?year).
-    FILTER ( xsd:integer(?year) < 1960).
-
-    ?country_in_year dbp:country ?country.
-
-    ?country_in_year dbp:entrant ?entrant.
-  }
-
-  OPTIONAL {
-    ?entrant_errata_uri dct:source ?entrant.
-  }
-
-  BIND (IF(isIRI(?entrant),?entrant,?entrant_errata_uri) AS ?entrant_robust)
-
-  SERVICE <https://dbpedia.demo.openlinksw.com/sparql> {
-
-    ?country_in_year dbp:song ?song.
-
-  }
-
-  OPTIONAL {
-    ?song_errata_uri dct:source ?song.
-  }
-
-  BIND (IF(isIRI(?song),?song,?song_errata_uri) AS ?song_robust)
-
-  SERVICE <https://dbpedia.demo.openlinksw.com/sparql> {
-
-    ?entrant_robust rdfs:label ?entrant_label
-      FILTER (lang(?entrant_label) = 'en').
-
-
-    ?song_robust rdfs:label ?song_label_raw
-      FILTER (lang(?song_label_raw) = 'en').
-    # Create more DL friendly song-title metadata from Wikipedia song-label
-    BIND(REPLACE(?song_label_raw, "\\s*\\(.*?song\\)$", "", "i") AS ?song_label).
-
-    OPTIONAL {
-      ?song_robust prov:wasDerivedFrom ?was_derived_from
-    }
-  }
-}
-ORDER BY ASC(?countries_in_esc_by_year) ?country
-
Index: in/trunk/model-sites-dev/eurovision-lod/collect/eurovision/prepare/errata-lod/foo4-1993.sparql
===================================================================
--- /main/trunk/model-sites-dev/eurovision-lod/collect/eurovision/prepare/errata-lod/foo4-1993.sparql	(revision 35029)
+++ 	(revision )
@@ -1,68 +1,0 @@
-prefix skos:   <http://www.w3.org/2004/02/skos/core#>
-prefix dct:    <http://purl.org/dc/terms/>
-prefix xsd:    <http://www.w3.org/2001/XMLSchema#>
-
-PREFIX rdf:    <http://www.w3.org/1999/02/22-rdf-syntax-ns#>
-PREFIX rdfs:   <http://www.w3.org/2000/01/rdf-schema#>
-
-prefix dbc:    <http://dbpedia.org/resource/Category:>
-prefix dbr:    <http://dbpedia.org/resource/>
-prefix dbp:    <http://dbpedia.org/property/>
-
-PREFIX dbo:    <http://dbpedia.org/ontology/>
-
-PREFIX prov:   <http://www.w3.org/ns/prov#>
-
-
-SELECT ?countries_in_esc_by_year ?country_in_year (?year AS ?Year) (?country AS ?Country)
-       ?entrant_robust (?entrant_label AS ?Creator) ?song_robust (?song_label AS ?Title) (?was_derived_from AS ?WikipediaURL)
-WHERE {
-  SERVICE <https://dbpedia.demo.openlinksw.com/sparql> {
-    ?countries_in_esc_by_year skos:broader dbc:Countries_in_the_Eurovision_Song_Contest_by_year.
-
-    ?country_in_year dct:subject ?countries_in_esc_by_year.
-    bind( REPLACE(str(?country_in_year), ".*(\\d{4})", "$1") AS ?year).
-    FILTER ( xsd:integer(?year) = 1993).
-
-    ?country_in_year dbp:country ?country.
-
-    ?country_in_year dbp:entrant ?entrant.
-  }
-
-  OPTIONAL {
-    ?entrant_errata_uri dct:source ?entrant.
-  }
-
-  BIND (IF(isIRI(?entrant),?entrant,?entrant_errata_uri) AS ?entrant_robust)
-
-  SERVICE <https://dbpedia.demo.openlinksw.com/sparql> {
-
-    ?country_in_year dbp:song ?song.
-
-  }
-
-  OPTIONAL {
-    ?song_errata_uri dct:source ?song.
-  }
-
-  BIND (IF(isIRI(?song),?song,?song_errata_uri) AS ?song_robust)
-
-  SERVICE <https://dbpedia.demo.openlinksw.com/sparql> {
-
-   OPTIONAL {
-    ?entrant_robust rdfs:label ?entrant_label
-      FILTER (lang(?entrant_label) = 'en').
-
-
-    ?song_robust rdfs:label ?song_label_raw
-      FILTER (lang(?song_label_raw) = 'en').
-    # Create more DL friendly song-title metadata from Wikipedia song-label
-    BIND(REPLACE(?song_label_raw, "\\s*\\(.*?song\\)$", "", "i") AS ?song_label).
-
-   
-      ?song_robust prov:wasDerivedFrom ?was_derived_from
-    }
-  }
-}
-ORDER BY ASC(?countries_in_esc_by_year) ?country
-