Index: /main/trunk/model-sites-dev/eurovision-lod/collect/eurovision/transform/pages/about.xsl
===================================================================
--- /main/trunk/model-sites-dev/eurovision-lod/collect/eurovision/transform/pages/about.xsl	(revision 35042)
+++ /main/trunk/model-sites-dev/eurovision-lod/collect/eurovision/transform/pages/about.xsl	(revision 35043)
@@ -67,5 +67,5 @@
 	      In its latest incarnation, after
 	      all the performances are over, artists wait
-	      nervously as via the Internet the show's hosts visit each
+	      nervously as via live television link-ups the show's hosts visit each
 	      of the 40+ countries in turn collecting all points cast
 	      by the country appointed juries.  This includes
@@ -74,4 +74,6 @@
 	      10 points awarded to the song a country ranks second,
 	      followed by 8, 7, 6 âŠ 1 points awarded.
+	      With over 20 countries competing in a final, this means
+	      that not all performers gets points from that country.
 	      Next comes the &quot;the popular vote&quot;
 	      where fans, still grouped by country, have
@@ -80,6 +82,6 @@
 	      place, and so on.
 	      This all culminates in a new winner being crowned, with
-	      the competition usually being hosted the following year
-	      by that country. 
+	      the competition typically being hosted the following year
+	      in that country. 
 	    </p>
 	  </div>
@@ -113,4 +115,5 @@
 	  </p>
 
+	  <!--
 	  <p>
 	    For those who want to jump right in and access information about, as well as see and hear some of the past performances,
@@ -118,30 +121,54 @@
 	    start by exploring the assembled information through
 	    the browsing tabs, such as
-	    <a href="{$library_name}/collection/{$collName}/browse/CL3">browser by country</a>
-	    or else search the collection for a general term that you sparks
+	    <a href="{$library_name}/collection/{$collName}/browse/CL3">browse by countries</a>
+	    if you want (for instance) to reminise about songs your country have entered in the past, or
+	    <a href="{$library_name}/collection/{$collName}/browse/CL4">browse by years</a> if
+	    you are curious about who were the countries competing in that inaugural year of 1956.
+	    Alternatively, use the quick-search box to query the DL collection for a term that you sparks
 	    interest, such as
 	    <a href="{$library_name}/collection/{$collName}/search/TextQuery?qs=1&amp;rt=rd&amp;s1.level=Doc&amp;startPage=1&amp;s1.query=love&amp;s1.index=ZZ">love</a>
 	    and
 	    <a href="{$library_name}/collection/{$collName}/search/TextQuery?qs=1&amp;rt=rd&amp;s1.level=Doc&amp;startPage=1&amp;s1.query=amore&amp;s1.index=ZZ">amore</a>,
-	    or perhaps something more frivolous such as
+	    or maybe something more frivolous such as
 	    <a href="{$library_name}/collection/{$collName}/search/TextQuery?qs=1&amp;rt=rd&amp;s1.level=Doc&amp;startPage=1&amp;s1.query=la&amp;s1.index=ZZ">la</a>.
 	    
 	  </p>
-
-<!--	  
-	  <script type="text/javascript" src="//www.google.com/jsapi"><xsl:text> </xsl:text></script>
-          <script type="text/javascript" src="//mgskjaeveland.github.io/sgvizler/v/0.6/sgvizler.js"><xsl:text> </xsl:text></script>
 -->
-	  <script type="text/javascript" src="ext/jena/sgvizler2/sgvizler2.js"><xsl:text> </xsl:text></script>
-	  
-	  <script type="text/javascript">
-	    <xsl:text disable-output-escaping="yes">
+
+	  <p>
+	    For those who want to jump right in and access information about, as well as see and hear some of the past performances,
+	    we suggest you
+	    start by exploring the assembled information through
+	    the browsing tabs.  For example:
+	    <ul>
+	      <li><a href="{$library_name}/collection/{$collName}/browse/CL3">Browse by countries</a>
+	      if you want (for instance) to reminise about songs your country have entered in the past; or</li>
+	      <li><a href="{$library_name}/collection/{$collName}/browse/CL4">Browse by years</a> if
+	      you are curious about who were the countries competing in that inaugural year of 1956.</li>
+	    </ul>
+	  </p>
+	  <p>
+	    Alternatively, use the quick-search box to query the DL collection for a term that you sparks
+	    interest. For example:
+	    <ul>
+	      <li>
+		<a href="{$library_name}/collection/{$collName}/search/TextQuery?qs=1&amp;rt=rd&amp;s1.level=Doc&amp;startPage=1&amp;s1.query=love&amp;s1.index=ZZ">love</a>
+		and
+		<a href="{$library_name}/collection/{$collName}/search/TextQuery?qs=1&amp;rt=rd&amp;s1.level=Doc&amp;startPage=1&amp;s1.query=amore&amp;s1.index=ZZ">amore</a>,
+		or maybe something more frivolous such as
+		<a href="{$library_name}/collection/{$collName}/search/TextQuery?qs=1&amp;rt=rd&amp;s1.level=Doc&amp;startPage=1&amp;s1.query=la&amp;s1.index=ZZ">la</a>.
+	      </li>
+	    </ul>	    
+	  </p>
+
+
+	  <h3>Data Analysis and Visualization</h3>
+	  
+	  <gsf:script src="ext/jena/sgvizler2/sgvizler2.js"/>
+
+	  <gsf:script>
 	      $(document).ready(	
                 function() {
 	      
-                  //sgvizler.prefix('dc','http://purl.org/dc/elements/1.1/');
-	          //sgvizler.prefix('gsdlextracted','http://greenstone.org/gsdlextracted#');
-
-
 		  // Exaple triple
 		  // "s": { "type": "uri" , "value": "http://127.0.0.1:8383/greenstone3/library/collection/eurovision/document/HASH0191e9cc7bfdf14743472257s10" } ,
@@ -149,13 +176,9 @@
 		  // "o": { "type": "literal" , "value": "United Kingdom" }
 
-		  //sgvizler.containerDraw('sgvizler1-country-count');
-
-		  sgvizler2.containerDraw('sgvizler2-country-count');
-				  
+		  sgvizler2.containerDraw('sgvizler2-country-count');				  
 		}
-              );
-	    </xsl:text>
-	  </script>
-
+	      );
+	  </gsf:script>
+	  
 	  <div id="sgvizler2-country-count"
 	       data-sgvizler-endpoint="//sowemustthink.space/greenstone3-lod3/greenstone/query"
@@ -180,38 +203,66 @@
 	 
 	  <p style="padding-top: 10px;">
-	    All the metadata in the digital library is simultaneously published an linked data, meaning it is
-	    possible to extract and analyze the data contained here in a variety of ways.
-	    To aid in such analysis we have also we have added in a data visualization layer to the
-	    digital library.  This is how the bar-graph below has been created, which shows how many
-	    times each country has competed.  We provide samples to give you an idea of the sorts of analysis
-	    that can be done, butâmore importantlyâthese samples are editable so you
-	    are free to change them however you wish, or once you're mastered the
-	    query syntax, develop completely original forms of anaysis.
-	  </p>
-	  <p>
-	    Through our
-	    <a href="{$library_name}/collection/{$collName}/page/sgvizler">Vizualizer page</a>
-	    you'll find a sample that shows you how often different countries have won
-	    Eurovision, but what about who has lost the most often?  The provided
-	    sample dataflow visualization
-	    of voting patterns over the last decade makes for interesting viewing, but
-	      what about other time periods?
-	  </p>
-
-	  <div id="viz-show-more" style="margin-bottom: 10px;">	    
+	    All the metadata in the digital library is simultaneously
+	    published an linked data, meaning it is possible to
+	    extract and analyze the data contained here in a variety
+	    of ways.  To aid in such analysis we have also we have
+	    added in a data visualization layer to the digital
+	    library.  This is how the bar-graph above has been
+	    created, which shows how many times each country has
+	    competed, alphabetically sorted.
+	  </p>
+	  <p>
+	    Through our:
+	    <ul>
+	      <li>
+		<a href="{$library_name}/collection/{$collName}/page/sgvizler">Vizualizer page</a>
+	      </li>
+	    </ul>
+	  </p>
+	  <p>
+	    we provide samples your can try out to give you an idea of
+	    the sorts of visualization that can be produced. More
+	    importantly, these samples are editable so you are free to
+	    change them however you wish.  On the visualization page
+	    you'll find a sample that shows you how often different
+	    countries have won Eurovision, but perhaps you'd like to
+	    find out who has lost the most often?  We also provide a
+	    sample dataflow visualization of jury voting patterns over
+	    the last decade, which makes for interesting viewing!
+	    Adjust the values used to discover how this compares
+	    withother time periods.
+	  </p>
+
+	  <div id="viz-show-more" style="margin-bottom: 10px;">
+
 	    <p>
-	      We suggest starting with viewing sample visualizations to see what's possible,
+	      In addition to the visualizer, through the:
+	      <ul>
+		<li>
+		  <a href="{$library_name}/collection/{$collName}/page/sparql">Data Analysis page</a>
+		</li>
+	      </ul>
+	    you will find a set of samples you can test-drive to give you an idea of the
+	    sorts of raw data analysis that can be done.  The syntax used is call
+	    <a href="https://en.wikipedia.org/wiki/SPARQL" target="_blank">SPARQL</a> (pronounced &quot;sparkle&quot;).  If you are unfamiliar
+	    with this syntax, there are a variety of tutorials available online where you can learn about query language, such as
+	    the one done by <a href="https://jena.apache.org/tutorials/sparql.html" target="_blank">Apache Jena</a>, an Open Source
+	    initiative that provides a vareity of Semantic Web and Linked Data tools.
+	    As before, these samples are editable so you are free to
+	    change them however you wish adjust the analysis undertaken, or once you're mastered the
+	    query syntax, develop completely original forms of
+	    anaysis.
+	  </p>
+
+	    
+	    <p>
+	      We suggest starting with viewing <a href="{$library_name}/collection/{$collName}/page/sgvizler">sample visualizations</a> to see what's possible,
 	      and making minor edits to that to adjust what is visualized.
 	      Then, if you want to start visualizing the data in a more substantially different way
 	      or else export the data for more detailed analysis under your own control,
-	      switch to the SPARQL Query Interface.  We also provide sample queries on the
-	      this page to help you get started.
-	    
-	    </p>
-	    <ul>
-	      <li><a href="{$library_name}/collection/{$collName}/page/sgvizler">Visualizer page</a></li>
-	      
-	      <li><a href="{$library_name}/collection/{$collName}/page/sparql">Data Export</a>
-	      </li>
+	      switch to the <a href="{$library_name}/collection/{$collName}/page/sparql">SPARQL-based data analysis</a> page to ensure the underlying
+	      data retrieved is as you intended.  Then take the newly developed SPARQL query back to the visualizer page, and through the
+	      additional text-input fields provided there, develop the visualization.
+
 	      <!--
 	    This is a good place to go to see what sort of data is being stored, and we provide some sample
@@ -221,5 +272,5 @@
 	    <li><a href="{$library_name}/collection/{$collName}/page/sgvizler">SGVizler page</a></li>
 -->
-	    </ul>
+	    </p>
 
 	  </div>
@@ -262,18 +313,65 @@
 	  <h2 id="it-all-started-with">It All Started with a Little <strike>Sparkle</strike>SPARQL</h2>
 	  
-	  
-	  <div id="technicaldev-turnstyle" style="margin-top: 12px;">
-	    <div class="turnstyle-header" style="background-image: none; background-color: hsl(195, 47%, 35%);">
-	      DL Technical Development
-	    </div>
-
-	    <div style="display: none; padding-left: 6px; padding-top: 6px; margin-left: 2px; margin-right: 2px; border-left: white solid 1px; border-right: white solid 1px; border-bottom: white solid 1px;">
-	      <p>
-		In terms of how this collection was developed using the
-		Greenstone DL architecture, the starting point is the
-		formulation of a SPARQL query to retrieve from DBpedia
-		entries about all the entrants in the contest over the
-		years:
-		<pre style="background-color: #fff; color: #000; padding: 12px; margin-right: 6px;">
+
+	  <p>
+	    In terms of how this collection was developed using the
+	    Greenstone3 Digital Library (DL) architecture, we are
+	    being a touch irreverent to say <i>it all started with a
+	    little SPARQL</i>.
+	    It is certainly true to say that, operationally, the DL
+	    was created using SPARQL query that draws down JSON
+	    records from
+	    <a href="https://dbpedia.org" target="_blank">DBPedia</a>	    
+	    about all the different entrants in the Eurovision.  This
+	    is then ingested into Greenstone using its document- and
+	    metadata-processing pipeline: expand through the <i>show
+	    more ...</i> button below to see the actual query.
+	    But in truth, our starting point of the SPARQL query is
+	    only possible due to the Herculean efforts of the
+	    contributors to the Wikipedia pages about
+	    the Eurovision Song Content, and following on from
+	    that the endeavors of the DBPedia project to
+	    transform a substantial portion of that information
+	    into machine-readable linked data.
+	  </p>
+
+	  <p>
+	    Continuing the technical develoment of the DL,
+	    to the DBpedia extraxcted content, we then added in voting metadataâagain
+	    using the Greenstone document- and metadata- processing
+	    pipelineâthis time in the form of CSV-based spreadsheet derived from the
+	    <a href="https://www.kaggle.com/datagraver/eurovision-song-contest-scores-19752019" target="_blank">Kaggle Eurovision Voting dataset 1975-2019</a>.
+	  </p>
+	  
+	  <!--
+	      The resulting SPARQL query result set (JSON format
+		selected for output) is then ingested into a Greenstone
+		DL collection, and used in a variety of ways.
+
+		
+
+	    the starting point is the
+	    formulation of a SPARQL query to retrieve from DBpedia
+	    entries about all the entrants in the contest over the
+	    years:
+	  -->
+
+
+	  <div id="dl-tech-show-more">
+	    <p>
+	      Here's the SPARQL query that retrieves, for every year
+	      Eurovision has been held, the countries that took part.
+	      At under 20 lines of code, we think it's pretty awesome!
+	      The information retrieved includes the country, year,
+	      title of the song, and name of the entrant (the
+	      act/artist), amgonst other things.  All useful core
+	      information to seed the digital library collection.  As
+	      the 2020 Eurovision event did not run due to the
+	      Covid-19 Pandemic, and (at the time of writing the 2021
+	      is yet to occur), we have opted to filter the matches
+	      returned to be prior to 2020.
+	    </p>
+	    
+	    <pre style="background-color: #fff; color: #000; padding: 12px; margin-right: 6px;">
 SELECT ?countries_in_esc_by_year ?country_in_year ?year as ?Year ?country as ?Country ?entrant ?entrant_label as ?Creator ?song ?song_label as ?Title ?was_derived_from as ?WikipediaURL
 WHERE {
@@ -299,8 +397,38 @@
 }
 ORDER BY DESC(?countries_in_esc_by_year)
-		</pre>
-	      
-	      </p>
-	      
+	    </pre>
+
+	    <p>
+	      You can try this query out yourself if you like.  Select the entirety of the SPARQL query
+	      in the above text box, and press <i>Control-C</i> to place it in your Copy-buffer.
+	      Next visit the DBPedia SPARQL Endpoint given below, and in the main text box of the page
+	      that appears, press <i>Control-V</i>
+	      to past in your SPARQL query. Finally, click on the <i>Execute Query</i> button
+	      to initiate the search.
+	      <ul>
+		  <li>
+		    <a href="https://dbpedia.org/sparql/" target="_blank">DBpedia's SPARQL endpoint</a>
+		  </li>
+	      </ul>
+	    </p>
+	    <p>
+	      Through the SPARQL Endpoint you can change the output format that is used to, for example, JSON or Turtle.
+	      For convenience, if you are just interested in seeing what the outcome of running the query is, displayed as a web page:
+	      <ul>
+		<li>
+		  <a href="https://dbpedia.org/sparql?default-graph-uri=http%3A%2F%2Fdbpedia.org&amp;query=SELECT+%3Fcountries_in_esc_by_year+%3Fcountry_in_year+%3Fyear+as+%3FYear+%3Fcountry+as+%3FCountry+%3Fentrant+%3Fentrant_label+as+%3FCreator+%3Fsong+%3Fsong_label+as+%3FTitle+%3Fwas_derived_from+as+%3FWikipediaURL%0D%0AWHERE+%7B%0D%0A++++%3Fcountries_in_esc_by_year+skos%3Abroader+dbc%3ACountries_in_the_Eurovision_Song_Contest_by_year.%0D%0A%0D%0A++++%3Fcountry_in_year+dct%3Asubject+%3Fcountries_in_esc_by_year.%0D%0A++++bind%28+REPLACE%28str%28%3Fcountry_in_year%29%2C+%22.*%28%5C%5Cd%7B4%7D%29%22%2C+%22%241%22%29+as+%3Fyear%29.%0D%0A++++FILTER+%28+xsd%3Ainteger%28%3Fyear%29+%3C+2020%29.%0D%0A%0D%0A++++%3Fcountry_in_year+dbp%3Acountry+%3Fcountry.%0D%0A%0D%0A++++%3Fcountry_in_year+dbp%3Aentrant+%3Fentrant.%0D%0A++++%3Fentrant+rdfs%3Alabel+%3Fentrant_label%0D%0A++++++FILTER+%28lang%28%3Fentrant_label%29+%3D+%27en%27%29.%0D%0A%0D%0A++++%3Fcountry_in_year+dbp%3Asong+%3Fsong.%0D%0A++++%3Fsong+rdfs%3Alabel+%3Fsong_label%0D%0A++++++FILTER+%28lang%28%3Fsong_label%29+%3D+%27en%27%29.%0D%0A%0D%0A++++OPTIONAL+%7B%0D%0A++++++%3Fsong+prov%3AwasDerivedFrom+%3Fwas_derived_from%0D%0A++++%7D%0D%0A%7D%0D%0AORDER+BY+DESC%28%3Fcountries_in_esc_by_year%29&amp;format=text%2Fhtml&amp;timeout=30000&amp;signal_void=on&amp;signal_unconnected=on" target="_blank">Click here to run the query directly</a>
+		</li>
+	      </ul>
+	    </p>
+
+	    <h3>Triplestore Errata</h3>
+
+	    <h3>Adding in Voting Metadata</h3>
+
+	    <h3>Page Scraping</h3>
+
+
+	    <h3>The Gory Details</h3>
+<!--
 	      <p>	      
 		The resulting SPARQL query result set (JSON format
@@ -320,9 +448,5 @@
 		</ul>
 	      </p>
-	      
-	      <p>
-		Bullet points above to be expanded upon!
-	      </p>
-	      
+-->	    
 	      <p>
 		Viewing the
@@ -347,4 +471,36 @@
 			
 	      </p>
+
+	      
+	  </div>
+	  <gsf:script>
+	    $('#dl-tech-show-more').showMore({
+	        minheight: 0,
+		buttontxtmore:"show more ...",
+		buttontxtless:"... show less"
+	      });
+	  </gsf:script>
+
+	  
+	  <div id="technicaldev-turnstyle" style="margin-top: 12px;">
+	    <div class="turnstyle-header" style="background-image: none; background-color: hsl(195, 47%, 35%);">
+	      DL Technical Development
+	    </div>
+
+	    <div style="display: none; padding-left: 6px; padding-top: 6px; margin-left: 2px; margin-right: 2px; border-left: white solid 1px; border-right: white solid 1px; border-bottom: white solid 1px;">
+	      <p>
+		In terms of how this collection was developed using the
+		Greenstone DL architecture, the starting point is the
+		formulation of a SPARQL query to retrieve from DBpedia
+		entries about all the entrants in the contest over the
+		years:
+	      
+	      </p>
+	      
+	      
+	      <p>
+		Bullet points above to be expanded upon!
+	      </p>
+	      
 	    </div>
 	  </div>