Index: main/trunk/model-sites-dev/eurovision-lod/collect/eurovision/transform/dataviz/draw-bias-normalized.xsl
===================================================================
--- main/trunk/model-sites-dev/eurovision-lod/collect/eurovision/transform/dataviz/draw-bias-normalized.xsl	(revision 35046)
+++ main/trunk/model-sites-dev/eurovision-lod/collect/eurovision/transform/dataviz/draw-bias-normalized.xsl	(revision 35046)
@@ -0,0 +1,68 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<xsl:stylesheet version="1.0"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns:java="http://xml.apache.org/xslt/java"
+	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
+	xmlns:gslib="http://www.greenstone.org/skinning"
+	xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat"	
+	extension-element-prefixes="java util"
+	exclude-result-prefixes="java util">
+  
+  <xsl:template name="ssv-draw-bias-normalized">
+
+	    
+	    <div id="ssv-draw-bias-normalized" style="display: none;">
+
+<!-- Determine if their is any bias in the position in the competition for where you perform in the lineup -->
+<xsl:text>
+PREFIX rdfs: &lt;http://www.w3.org/2000/01/rdf-schema#&gt;
+PREFIX xsd:  &lt;http://www.w3.org/2001/XMLSchema#&gt;
+PREFIX dc:   &lt;http://purl.org/dc/elements/1.1/&gt;
+PREFIX gsdlextracted: &lt;http://greenstone.org/gsdlextracted#&gt;
+
+SELECT ?draw_int ?normFreqCount WHERE {
+  SELECT ?draw_int (SUM(?is_winner) AS ?freqCount) (COUNT(?is_winner) AS ?maxPossibleFreqCount) (100.0 * ?freqCount/?maxPossibleFreqCount AS ?normFreqCount)
+  WHERE {
+      GRAPH &lt;http://localhost:4040/greenstone/data/</xsl:text><xsl:value-of select="$collName"/><xsl:text>&gt;  {
+          ?esc_entrant_uri dc:Relation.isPartOf &lt;http://127.0.0.1:8383/greenstone3/library/collection/</xsl:text><xsl:value-of select="$collName"/><xsl:text>&gt;.
+
+          ?esc_entrant_uri gsdlextracted:Country ?country.
+	  ?esc_entrant_uri gsdlextracted:Draw ?draw.	
+	  ?esc_entrant_uri gsdlextracted:Place ?place.
+	
+          BIND(xsd:integer(?draw) AS ?draw_int).
+          BIND(xsd:integer(?place) AS ?place_int).
+
+          BIND(IF(?place_int = 1,1,0) AS ?is_winner).		
+     }
+  }
+  GROUP BY ?draw_int ORDER BY ASC(?draw_int)
+}
+ORDER BY ASC(?draw_int)
+</xsl:text>
+	    </div>
+	    <div id="ssv-draw-bias-normalized-chart" style="display: none;">
+<!-- -->
+<xsl:text>
+google.visualization.BarChart
+</xsl:text>
+	    </div>
+	    <div id="ssv-draw-bias-normalized-chart-options" style="display: none;">
+<!-- -->
+<xsl:text>
+title=Number times an entry has has won given their draw position in the performance lineup|legend.position=none|height=400|chartArea.height=340|fontSize=11
+</xsl:text>
+	    </div>
+
+	    <div id="ssv-draw-bias-normalized-div-style" style="display: none;">
+<!-- -->
+<xsl:text>
+width:900px; height:400px; margin-left: auto; margin-right: auto; overflow-y: hidden; overflow-x: hidden;  
+</xsl:text>
+
+    </div>
+
+  </xsl:template>
+	
+</xsl:stylesheet>  
+	    
Index: main/trunk/model-sites-dev/eurovision-lod/collect/eurovision/transform/dataviz/list-of-winners.xsl
===================================================================
--- main/trunk/model-sites-dev/eurovision-lod/collect/eurovision/transform/dataviz/list-of-winners.xsl	(revision 35046)
+++ main/trunk/model-sites-dev/eurovision-lod/collect/eurovision/transform/dataviz/list-of-winners.xsl	(revision 35046)
@@ -0,0 +1,71 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<xsl:stylesheet version="1.0"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns:java="http://xml.apache.org/xslt/java"
+	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
+	xmlns:gslib="http://www.greenstone.org/skinning"
+	xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat"	
+	extension-element-prefixes="java util"
+	exclude-result-prefixes="java util">
+  
+  <xsl:template name="ssv-list-of-winners">
+
+	    
+	    <div id="ssv-list-of-winners" style="display: none;">
+
+<!-- Determine if their is any bias in the position in the competition for where you perform in the lineup -->
+<xsl:text>
+PREFIX rdfs: &lt;http://www.w3.org/2000/01/rdf-schema#&gt;
+PREFIX xsd:  &lt;http://www.w3.org/2001/XMLSchema#&gt;
+PREFIX gsdlextracted: &lt;http://greenstone.org/gsdlextracted#&gt;
+
+SELECT (?year AS ?Year) (?country AS ?Country) (?title as ?Title) (?creator as ?Artist)
+WHERE {
+    GRAPH &lt;http://localhost:4040/greenstone/data/</xsl:text><xsl:value-of select="$collName"/><xsl:text>&gt;  {
+        ?esc_entrant_uri gsdlextracted:Country ?country.
+        ?esc_entrant_uri gsdlextracted:Year ?year.
+        ?esc_entrant_uri gsdlextracted:Title ?title.
+        ?esc_entrant_uri gsdlextracted:Creator ?creator.
+
+        ?esc_entrant_uri gsdlextracted:Place ?place.
+        BIND(xsd:integer(?place) AS ?place_int).
+        FILTER(?place_int = 1).	
+   }
+}
+ORDER BY ?year ?country ?title
+</xsl:text>
+	    </div>
+	    <div id="ssv-list-of-winners-chart" style="display: none;">
+<!-- -->
+<xsl:text>
+sgvizler.visualization.Table
+</xsl:text>
+	    </div>
+	    <div id="ssv-list-of-winners-chart-options" style="display: none;">
+<!-- -->
+<xsl:text>
+title=Eurovison Hall of Fame: Winners Through the Ages|height=800|width=750|fontSize=11
+</xsl:text>
+	    </div>
+
+	    <div id="ssv-list-of-winners-div-style" style="display: none;">
+<!-- -->
+<xsl:text>
+  width:900px; height:400px; margin-left: auto; margin-right: auto; overflow-y: scroll; overflow-x: hidden;
+  color: black; background-color: white;
+</xsl:text>
+
+<!--
+.table-striped tbody tr:nth-of-type(2n+1) {
+    background-color: rgba(0,0,0,.05);
+}
+-->
+    </div>
+
+  </xsl:template>
+	
+</xsl:stylesheet>  
+	    
+
+
+